# $Revision: 1.28.2.3 $, $Date: 2004/03/29 21:41:51 $
Summary:	ipchains firewall SysV-init style start-up script
Summary(pl):	Skrypt startowy firewalla ipchains
Name:		firewall-init
Version:	2.1
Release:	3@2.2
License:	BSD
Group:		Networking/Admin
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	07ba7a897e2d903d629e6607e3b495f3
Patch0:		%{name}-syntax_verify.patch
Requires:	ipchains
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
Buildarch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Firewall-init is meant to provide an easy to use interface to start
and stopping the kernel IP packet filters and accounting through
ipchains(8).

%description -l pl
Dziki firewall-init uzyskuje si atwy interfejs do startowania i
stopowania filtrw IP jdra oraz zliczania pakietw poprzez
ipchains(8).

%prep
%setup -q
%patch -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig/firewall-rules,rc.d/init.d}

install firewall.init $RPM_BUILD_ROOT/etc/rc.d/init.d/firewall
install firewall $RPM_BUILD_ROOT/etc/sysconfig/

for i in input output forward; do
	echo '#<policy> <proto> <s_addr/s_mask> <s_port> <d_addr/d_mask> <d_port> <interface> <options>' > \
		$RPM_BUILD_ROOT/etc/sysconfig/firewall-rules/${i}
done

%post
/sbin/chkconfig --add firewall

%postun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del firewall
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README input.example
%attr(600,root,root) %verify(not size mtime md5) %config(noreplace) /etc/sysconfig/firewall
%attr(600,root,root) %verify(not size mtime md5) %config(noreplace) /etc/sysconfig/firewall-rules/*
%attr(700,root,root) %dir /etc/sysconfig/firewall-rules
%attr(754,root,root) /etc/rc.d/init.d/firewall

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: firewall-init.spec,v $
Revision 1.28.2.3  2004/03/29 21:41:51  ankry
- fix %files

Revision 1.28.2.2  2004/03/29 21:18:46  ankry
- added -syntax_verify patch fixing and relaxing syntax
- removed outdated src URL
- new %doc
- rel 3@

Revision 1.28.2.1  2003/07/11 12:00:54  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.28  2002/11/11 01:31:17  undefine
- ipchains can be used with 2.4 too. And _are_ used by many people...
- release 2

Revision 1.27  2002/04/25 16:18:21  arturs
fixed a small typo

Revision 1.26  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:28:53  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/05 00:57:43  blues
- reverted

Revision 1.23  2002/02/05 00:26:56  blues
- removed conflicts kernel >= 2.3 - you can still use there ipchains (but
  who wants to ;)  )

Revision 1.22  2002/01/18 08:38:08  qboosh
- s/Administacyjne/Administracyjne/

Revision 1.21  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/09/22 20:15:17  orzech
- update Source URL

Revision 1.19  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.17  2001/07/23 22:24:22  saq
One more:
- release += @2.2
- Conflicts: kernel >= 2.3.0

Revision 1.16  2001/02/04 19:46:22  kloczek
- adapterized and some cosmetics.

Revision 1.15  2001/02/04 16:30:52  orzech
- Updated to 2.1

Revision 1.14  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.13  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 17:17:31  arturs
typo

Revision 1.10  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.9  2000/02/02 11:05:20  waszi

- small fixes in permissions for pam.d or init.d

Revision 1.8  1999/12/10 19:25:31  kloczek
- release 2,
- fixed dependences (added missing "Requires: rc-scripts").

Revision 1.7  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.6  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Jul 06 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.0-1]
- converted to ipchains
- new source URL

* Thu Oct 29 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-6]
- added support for chconfig (firewall-chconfig.patch and %post{un}
  sections).

* Wed Jul 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-5]
- added status and extstatus functionality to init script.

* Thu Jul  9 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-4]
- added -q %setup parameter,
- added using %%{name}, %%{version} macros in Buildroot and Source,
- spec file rewritten for using Buildroot,
- added %clean section,
- removed Packager field from spec (if you want recompile package and
  redistribute this package later put this in your private .rpmrc).
- replaced "mkdir -p" with "install -d" in %install,
- added %defattr and %attr macros in %files (allows building package from
  non-root account),
- changed permission for config files with firewall rules to 700,
- added %verify(not size mtime md5) for config files with firewall rules,
- added Summary field,
- changed build architecture to noarch,
- added restart and probe10min functionality to init script (probe10min
  helps on experiments with new FW rules),
- added noreplace parameter for %config for config files with firewall
  rules.

* Mon Aug 18 1997 Bryan C. Andregg <bandregg@redhat.com>
  [1.2-3]
Fixed error handling typo.
Removed handling of the 'any' case in favor of 'any/0'
Added masquerading notes in README.
Added empty config files.

* Sun Aug 17 1997 Bryan C. Andregg <bandregg@redhat.com>
Major bug fixes.
Added 'Requires' field.
Changes S9 to S09 in the rc.d runlevel dirs.
Fixed spelling errors.
Changed %config to %dir for /etc/sysconfig/firewall-rules.

* Wed Aug 13 1997 Bryan C. Andregg <bandregg@redhat.com>
Fixed numerous spelling errors.
Added stderr redirection to > /dev/null and logging of errors to syslogd.
Fixed bugs in /etc/rc.d/init.d/firewall
Changed version to 1.1.
Added support for ANY|any keyword in addrs,masks and ports.
Added accounting rule set.
Fixed xxx.xxx.xxx.xxx netmask format bug.
Cleaned up firewall.init.

* Tue Aug 12 1997 Bryan C. Andregg <bandregg@redhat.com>
Included README.
Moved /etc/sysconfig/firewall-ruels/input to %doc/input.example.
Initial build.
